#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# rasipfon_test_audio.py (python3)

import alsaaudio
import wave
from configparser import SafeConfigParser # ConfigParser py2, configparser py3 
import smbus # needed for i2c Stereo 2.8W Class D Audio Amplifier TPA2016

port = 1                # i2c port = 1 for rev 2
bus = smbus.SMBus(port)
ampAddr = 0x58		# TPA2016 address

td = [0x00, 0x80, 0x00, 0x00, 0x00, 0x1E, 0x80, 0xC0]  # set gain from i2c chip
bus.write_i2c_block_data(ampAddr, 0, td)

parser = SafeConfigParser() # get data from config file
parser.read('rasipfon.conf')
file = parser.get('soundfiles','startup')

wav = wave.open(file)

aRpi = alsaaudio.PCM(cardindex=0)
aRpi_mix = alsaaudio.Mixer(control='PCM',cardindex=0)
aRpi_mix.setvolume(100)
aRpi.setchannels(wav.getnchannels())
aRpi.setrate(wav.getframerate())
aRpi.setperiodsize(320)

aUsb = alsaaudio.PCM(cardindex=1)
aUsb_mix = alsaaudio.Mixer(control='Speaker',cardindex=1)
aUsb_mix.setvolume(70)
aUsb.setchannels(wav.getnchannels())
aUsb.setrate(wav.getframerate())
aUsb.setperiodsize(320)

data = wav.readframes(320)
while data:
    aRpi.write(data)
    data = wav.readframes(320)
wav.rewind()
data = wav.readframes(320)
while data:
    aUsb.write(data)
    data = wav.readframes(320)
wav.rewind()
wav.close()

